#!/bin/bash
rm apk_mod/$1.apk #just to be sure we don't reinstall the old one
apktool b $1
cp $1/dist/$1.apk .
java -jar ./signapk.jar certificate.pem key.pk8 $1.apk $1-signed.apk
mv $1-signed.apk apk_mod/$1.apk 
PN=$(aapt dump badging ./originals/$1.apk | grep "package: name=" |awk -F\' '{print $2}')
echo $PN
adb uninstall $PN
adb install apk_mod/$1.apk 
