import sys
import xml.etree.ElementTree as ET

def run(manifest_file):

    tree = ET.parse(manifest_file)
    root = tree.getroot()
    
    for atype in root.findall('uses-permission'):
        #print atype.keys()
        #print atype.get('name')
        for it in atype.items():
            if it[1].startswith("android.permission"):
                print it[1]

if __name__ == "__main__":
    assert len(sys.argv) == 2

    manifest_file = sys.argv[1]
    
    run(manifest_file)

